[project]
name = "pif-compiler"
version = "0.1.0"
description = "Pif Software"
readme = "README.md"
authors = [
    { name = "adish-rmr", email = "adish@hotmail.it" }
]
requires-python = ">=3.12"
dependencies = [
    "beautifulsoup4>=4.14.2",
    "dotenv>=0.9.9",
    "duckdb>=1.4.1",
    "fastapi>=0.121.2",
    "marimo>=0.16.5",
    "markdown-to-json>=2.1.2",
    "markdownify>=1.2.0",
    "playwright>=1.55.0",
    "psycopg2-binary>=2.9.11",
    "pubchemprops>=0.1.1",
    "pubchempy>=1.0.5",
    "pydantic[email]>=2.11.10",
    "pymongo>=4.15.2",
    "pytest>=8.4.2",
    "pytest-cov>=7.0.0",
    "pytest-mock>=3.15.1",
    "python-dotenv>=1.2.1",
    "httpx>=0.27.0",
    "PyJWT>=2.9.0",
    "requests>=2.32.5",
    "streamlit>=1.50.0",
    "extra-streamlit-components>=0.1.71",
    "openpyxl>=3.1.0",
    "uvicorn>=0.35.0",
    "weasyprint>=66.0",
    "cryptography>=46.0.5",
]

[project.scripts]
pif-compiler = "pif_compiler:main"

[build-system]
requires = ["hatchling"]
build-backend = "hatchling.build"
